1. Card Payments
  • API Docs Chile 🇨🇱
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
        POST
      • Create payment (tokenless)
        POST
      • Make a charge or deferred charge
        POST
      • Void a transaction
        DELETE
      • Refund a transaction
        DELETE
      • Request deferred options
        GET
      • Authorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Reauthorize payments
        POST
      • Capture an authorized payment
        POST
      • Verify Account
        POST
      • Validate OTP
        POST
      • Bin Info V2
        GET
      • Bin Info
        GET
      • Voucher
        GET
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Authorize payments
      • Capture an authorized payment
      • Get recurring charge Info
    • Card Async
      • Request a card async token
      • Init Transaction
      • Authorize payments
      • Capture an authorized payment
      • Get Status
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Authorize payments
      • Capture an authorized payment
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Get a Smartlink
      • Delete a smartlink
      • Update a Smartlink
    • Payment Button
      • Create a payment button
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get platform status
      • Get gateway status
    • Subscription Transactions
      • Get subscription transactions
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Settlement
      • Query settlement
  • API Raw Card Present Payments
    • Release Notes
    • Error Catalog
    • Test Data
    • Key Exchange Process
    • One-time payments
      • Single payment
    • Two-step-payments
      • Authorization and capture
    • Voids & Refunds
      • Refund a transaction
      • Void & Reverse
    • Card information
      • Get BIN Info
      • Bin Info V2
      • Request deferred options
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good practices
      • Refunds
      • Card Payments
      • Check your webhooks
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • documentType
    • Amount-cash-in
    • amount
    • Card
    • ChargebackListResponse
    • Channel
    • StatusComponent
    • SubscriptionTransactionsResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • networkToken
    • extra_taxes
    • ChargebackItem
    • SubscriptionTransaction
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • webhooks
    • card
    • Amount-CL
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • headers
    • currency
    • Amount
    • card_details
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • Metadata
    • transactionType
    • enc_tlv
    • ErrorResponse403
    • ErrorResponse
    • TransactionResponse
    • CommandDivider
    • extraTaxes
    • Country
    • binInfo
    • Deferred
    • deferred
    • ErrorResponse500
    • payment_method
    • RawResponse
    • CommandFeed
    • SubscriptionUpdate
    • pos_details
    • CardData
    • CommandSpace
    • ContactDetails
    • Language
    • contact_details
    • sub_merchant
    • AmountWithTip
    • CommandCut
    • Subscription
    • metadata
    • LinkFailure
    • CommandImage
    • orderDetails
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooksChargeback
    • citMit
    • network
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Card Payments

Authorize payments

POST
/card/v1/preAuthorization

This functionality is available for the following models:#

☑ Acquirer
☑ Aggregator
Use this endpoint to request an authorization using a token provided by Kushki.
You authorize a card payment when you want to verify that sufficient credit exists on a customer's credit card before processing a sale. The cardholder's credit limit will be reduced by the amount of the authorization until the authorization is captured or expires.
In Colombia, Perú, México and Chile, the authorization will expire after 28 days for credit cards and after 7 days for debit cards from the time of request.
NOTE: An authorization can be canceled through the Void a transaction endpoint. After performing the cancellation, no reauthorizations can be made on the canceled transaction.

Do you have your own 3DS authentication engine?*#

This functionality is available for the following models:#

☑ Acquirer
☐ Aggregator
Make sure you include the threeDomainSecure object in your request.
* Applies in Chile 🇨🇱.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Created
Bodyapplication/json

🟠400Bad Request
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-uat.kushkipagos.com/card/v1/preAuthorization' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data '{
    "token": "8b91be6433c94a98b2b8db6a3e7e564d",
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 30000,
        "ice": 0,
        "iva": 0,
        "currency": "CLP"
    },
    "orderDetails": {
        "siteDomain": "example.com",
        "shippingDetails": {
            "name": "Catalina Fuentes",
            "phone": "+667566314515",
            "city": "Santiago",
            "region": "Región Metropolitana",
            "country": "Chile",
            "address1": "Av. Apoquindo 4501",
            "zipcode": "7550000"
        },
        "billingDetails": {
            "name": "Catalina Fuentes",
            "phone": "+56912345678",
            "city": "Santiago",
            "region": "Región Metropolitana",
            "country": "Chile",
            "address1": "Av. Apoquindo 4501",
            "zipcode": "7550000"
        }
    },
    "months": 3,
    "fullResponse": "v2",
    "metadata": {
        "key0": "value0",
        "key1": "value1",
        "key2": "value2"
    }
}'
Response Response Example
201 - fullResponse v2
{
    "details": {
        "amount": {
            "subtotalIva": 0,
            "subtotalIva0": 59,
            "ice": 0,
            "iva": 0,
            "currency": "CLP"
        },
        "approvalCode": "000000",
        "approvedTransactionAmount": 59,
        "binInfo": {
            "bank": "Banco Santander Chile",
            "bindCard": "545195",
            "cardCountry": "Chile",
            "lastFourDigits": "5480",
            "type": "credit"
        },
        "cardHolderName": "Catalina Fuentes",
        "created": 1658360425000,
        "merchantId": "20000000104111374000",
        "merchantName": "Mi Comercio Chile",
        "paymentBrand": "Master Card",
        "processorBankName": "0032~BANCO INTERNACIONAL",
        "requestAmount": 59,
        "responseCode": "000",
        "responseText": "Transacción aprobada",
        "transactionId": "985906214634267722",
        "transactionReference": "8a42f3a2-fa30-4019-b8f6-9bfc7c78e669",
        "transactionStatus": "APPROVAL",
        "transactionType": "PREAUTHORIZATION"
    },
    "ticketNumber": "073884255559778896",
    "transactionReference": "8a42f3a2-fa30-4019-b8f6-9bfc7c78e669"
}
Modified at 2026-07-28 17:33:31
Previous
Request deferred options
Next
Preauthorization (tokenless)
Built with